Skip to main content
PATCH
Update an Equipment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

id
string
required

Equipment ID

Body

application/json
name
string
license_number
string | null
external_id
string | null
ownership
enum<string>
default:internal
Available options:
internal,
external
Example:

"internal"

state
enum<string>
default:active
Available options:
active,
inactive
Example:

"active"

equipment_type_id
string<uuid>
zone
string | null
accounting_id
string | null
home_base_id
string<uuid> | null
label_ids
string<uuid>[]

Array of Label IDs to assign to this Equipment

Response

OK

data
Equipment-Read · object
required